## org.eclipse.datatools.connectivity.ui.actions
Class WorkOfflineActionProvider

    java.lang.Object
      org.eclipse.ui.actions.ActionGroup
          org.eclipse.ui.navigator.CommonActionProvider
              org.eclipse.datatools.connectivity.ui.actions.WorkOfflineActionProvider

All Implemented Interfaces:
  org.eclipse.ui.navigator.IMementoAware

    public class WorkOfflineActionProvider

extends org.eclipse.ui.navigator.CommonActionProvider

Field Summary
`static java.lang.String` `OFFLINE_MENU_GROUP`

Constructor Summary
`WorkOfflineActionProvider()`

Method Summary
`void` `dispose()`
`void` `fillContextMenu(org.eclipse.jface.action.IMenuManager menu)`
`void` `init(org.eclipse.ui.navigator.ICommonActionExtensionSite aSite)`

Methods inherited from class org.eclipse.ui.navigator.CommonActionProvider
`restoreState, saveState`

Methods inherited from class org.eclipse.ui.actions.ActionGroup
`fillActionBars, getContext, setContext, updateActionBars`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OFFLINE_MENU_GROUP

    public static final java.lang.String OFFLINE_MENU_GROUP

See Also:
  Constant Field Values

Constructor Detail

### WorkOfflineActionProvider

    public WorkOfflineActionProvider()

Method Detail

### init

    public void init(org.eclipse.ui.navigator.ICommonActionExtensionSite aSite)

  Overrides:
    `init` in class `org.eclipse.ui.navigator.CommonActionProvider`

### dispose

    public void dispose()

  Overrides:
    `dispose` in class `org.eclipse.ui.actions.ActionGroup`

### fillContextMenu

    public void fillContextMenu(org.eclipse.jface.action.IMenuManager menu)

  Overrides:
    `fillContextMenu` in class `org.eclipse.ui.actions.ActionGroup`